### Enumeration

# FwupdPlugin PciDeviceBaseCls

since: 1.0

#### Declaration

    enum FwupdPlugin.PciDeviceBaseCls

#### Description

No description available.

Available since: 1.0

#### Members

`FU_PCI_DEVICE_BASE_CLS_OLD`
  No description available.
  - Value: `0`
  - Nickname: `None`
  - Available since: 1.0
`FU_PCI_DEVICE_BASE_CLS_MASS_STORAGE`
  No description available.
  - Value: `1`
  - Nickname: `None`
  - Available since: 1.0
`FU_PCI_DEVICE_BASE_CLS_NETWORK`
  No description available.
  - Value: `2`
  - Nickname: `None`
  - Available since: 1.0
`FU_PCI_DEVICE_BASE_CLS_DISPLAY`
  No description available.
  - Value: `3`
  - Nickname: `None`
  - Available since: 1.0
`FU_PCI_DEVICE_BASE_CLS_MULTIMEDIA`
  No description available.
  - Value: `4`
  - Nickname: `None`
  - Available since: 1.0
`FU_PCI_DEVICE_BASE_CLS_MEMORY`
  No description available.
  - Value: `5`
  - Nickname: `None`
  - Available since: 1.0
`FU_PCI_DEVICE_BASE_CLS_BRIDGE`
  No description available.
  - Value: `6`
  - Nickname: `None`
  - Available since: 1.0
`FU_PCI_DEVICE_BASE_CLS_SIMPLE_COMMUNICATION`
  No description available.
  - Value: `7`
  - Nickname: `None`
  - Available since: 1.0
`FU_PCI_DEVICE_BASE_CLS_BASE`
  No description available.
  - Value: `8`
  - Nickname: `None`
  - Available since: 1.0
`FU_PCI_DEVICE_BASE_CLS_INPUT`
  No description available.
  - Value: `9`
  - Nickname: `None`
  - Available since: 1.0
`FU_PCI_DEVICE_BASE_CLS_DOCKING`
  No description available.
  - Value: `10`
  - Nickname: `None`
  - Available since: 1.0
`FU_PCI_DEVICE_BASE_CLS_PROCESSORS`
  No description available.
  - Value: `11`
  - Nickname: `None`
  - Available since: 1.0
`FU_PCI_DEVICE_BASE_CLS_SERIAL_BUS`
  No description available.
  - Value: `12`
  - Nickname: `None`
  - Available since: 1.0
`FU_PCI_DEVICE_BASE_CLS_WIRELESS`
  No description available.
  - Value: `13`
  - Nickname: `None`
  - Available since: 1.0
`FU_PCI_DEVICE_BASE_CLS_INTELLIGENT_IO`
  No description available.
  - Value: `14`
  - Nickname: `None`
  - Available since: 1.0
`FU_PCI_DEVICE_BASE_CLS_SATELLITE`
  No description available.
  - Value: `15`
  - Nickname: `None`
  - Available since: 1.0
`FU_PCI_DEVICE_BASE_CLS_ENCRYPTION`
  No description available.
  - Value: `16`
  - Nickname: `None`
  - Available since: 1.0
`FU_PCI_DEVICE_BASE_CLS_SIGNAL_PROCESSING`
  No description available.
  - Value: `17`
  - Nickname: `None`
  - Available since: 1.0
`FU_PCI_DEVICE_BASE_CLS_ACCELERATOR`
  No description available.
  - Value: `18`
  - Nickname: `None`
  - Available since: 1.0
`FU_PCI_DEVICE_BASE_CLS_NON_ESSENTIAL`
  No description available.
  - Value: `19`
  - Nickname: `None`
  - Available since: 1.0
`FU_PCI_DEVICE_BASE_CLS_UNDEFINED`
  No description available.
  - Value: `255`
  - Nickname: `None`
  - Available since: 1.0